jv.project

## Class PjProject_IP

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jv.project.PjProject_IP

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, PsUpdateIf
  Direct Known Subclasses:
    MyProject_IP, PjAvlTree_IP, PjCatenoid_IP, PjClosedPoly_IP, PjComplexFunction_IP, PjConformal_IP, PjConjugate_IP, PjCurvature_IP, PjCurve_IP, PjCycloid_IP, PjDeCasteljau_IP, PjElasticCurve_IP, PjEllipse_IP, PjEventCamera_IP, PjExprOde_IP, PjGeodesic_IP, PjGeodesicFlow_IP, PjHarmonic_IP, PjHeight_IP, PjHelicoid_IP, PjHodge_IP, PjImportModel_InfoBox, PjImportModel_IP, PjImportModel_IPmed, PjJuliaSet_IP, PjKeyframe_IP, PjKleinBottle_IP, PjLantern_IP, PjLIC_IP, PjLife_IP, PjLinear_IP, PjLoader_IP, PjLSystem_IP, PjMarchingCubes_IP, PjMaxPrinciple_IP, PjMinesweeper_IP, PjModel_IP, PjParmCurve_IP, PjParmSurface_IP, PjPickEvent_IP, PjPlatonic_IP, PjPointCloud_IP, PjPolygonSet_IP, PjPythagoreanTree_IP, PjRivara_IP, PjRootFinder_IP, PjRotation_IP, PjRuler_IP, PjRungeKutta_IP, PjSeeds_IP, PjSizeEdge_IP, PjSizePolygon_IP, PjSizeVertex_IP, PjSlider_IP, PjSmooth_IP, PjSnake_IP, PjSubdivisionCurve_IP, PjSurface_IP, PjTextureCube_IP, PjTexturedSurface_IP, PjTorusKnot_IP, PjTransform_IP, PjTranslation_IP, PjVectorField_IP, PjWeierstrass_IP, PjZigZag_IP

      public class PjProject_IP
      extends PsPanel

  Default info panel of PjProject urging a programmer to create subclass.
  See Also:
    `PjProject`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    23.10.16, 2.20 revised (kp) Doc and notice added.
    20.12.01, 2.10 revised (ep) Internationalization.
    29.09.00, 2.00 revised (kp) Renamed to PjProject_IP from PgProject_IP.
    00.00.98, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjProject_IP()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PsMultiLineLabel` | `addNotice(java.lang.String text)` Add a multiline label with notice text on a panel to the current panel.
    `java.lang.String` | `getNotice()` Informational text on the usage of this project and its panel.
    `java.awt.Dimension` | `getPreferredSize()` Assure correct horizontal size of all project panels in applets.
    `void` | `init()` Provides layout and adds internal components.
    `void` | `removeNotice()` Remove a multiline label with notice text on a panel to the current panel.
    `void` | `removeNoticeLine()` Remove line below the multiline label, e.g. if tabPanel follows below with own line separators.
    `void` | `setNotice(java.lang.String text)` Set a notice string of a notice panel previously allocated using addNotice(String).
    `void` | `setParent(PsUpdateIf parent)` Set parent of this panel which receives update events.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getTitle, getTitle, getTitle, hasTitle, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PjProject_IP

          public PjProject_IP()

      Constructor

  - ### Method Detail

    - #### init

          public void init()

      Provides layout and adds internal components.
      Overrides:
        `init` in class `PsPanel`

    - #### getNotice

          public java.lang.String getNotice()

      Informational text on the usage of this project and its panel. This notice will be displayed if this info panel of the project is shown. The text is split at line breaks into individual lines on the dialog.

      The method of PjProject_IP returns a warning message and should be overwritten.

      Returns:
        string with textual information about usage of project.
      Since:
        JavaView 4.70.008
      Version:
        22.10.16, 1.00 created (kp)

    - #### setNotice

          public void setNotice(java.lang.String text)

      Set a notice string of a notice panel previously allocated using addNotice(String).
      Since:
        JavaView 4.70.011
      Version:
        29.10.16, 1.00 created (kp)

    - #### addNotice

          public PsMultiLineLabel addNotice(java.lang.String text)

      Add a multiline label with notice text on a panel to the current panel. Each invocation of this method will create and add a label.
      Returns:
        multiline label with notice, even if notice string is empty
      Since:
        JavaView 4.70.007
      Version:
        16.12.16, 1.10 revised (kp) Add horizontal line after notice.
        18.10.16, 1.00 created (kp)

    - #### removeNotice

          public void removeNotice()

      Remove a multiline label with notice text on a panel to the current panel.
      Since:
        JavaView 4.70.013
      Version:
        04.11.16, 1.00 created (kp)

    - #### removeNoticeLine

          public void removeNoticeLine()

      Remove line below the multiline label, e.g. if tabPanel follows below with own line separators.
      Since:
        JavaView 4.70.013, JavaView 4.90.008
      Version:
        24.11.17, 1.00 created (kp)

    - #### setParent

          public void setParent(PsUpdateIf parent)

      Set parent of this panel which receives update events.

      The method `getFather()` allows to retrieve this parent.

      Specified by:
        `setParent` in interface `PsUpdateIf`
      Overrides:
        `setParent` in class `PsPanel`
      Parameters:
        `parent` - parent of this panel
      See Also:
        `PsPanel.getFather()`

    - #### update

          public boolean update(java.lang.Object event)

      Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsPanel`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject`, `PsUpdateIf.getFather()`, `PsUpdateIf.setParent(PsUpdateIf)`

    - #### getPreferredSize

          public java.awt.Dimension getPreferredSize()

      Assure correct horizontal size of all project panels in applets. This method was necessary since project panels aside to a display tend to shrink. TODO: locate preferred horizontal size in PsConfig.
      Overrides:
        `getPreferredSize` in class `PsPanel`
      Version:
        23.10.16, 1.10 revised (kp) HDPI scaling added.

"

The software JavaView? is copyright protected. All Rights Reserved.
"